## org.gnu.gtk
Class ComboBoxEntry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.GObject
              org.gnu.gtk.GtkObject
                  org.gnu.gtk.Widget
                      org.gnu.gtk.Container
                          org.gnu.gtk.Bin
                              org.gnu.gtk.ComboBox
                                  org.gnu.gtk.ComboBoxEntry

All Implemented Interfaces:
  CellLayout

public class ComboBoxEntry
extends ComboBox

Constructor Summary
`ComboBoxEntry()` Construct a new ComboBoxEntry that will contain only Strings.
`ComboBoxEntry(org.gnu.glib.Handle hndl)`
`ComboBoxEntry(TreeModel model, int textColumn)` Create a new ComboBoxEntry with the provided model.

Method Summary
`static ComboBoxEntry` `getComboBoxEntry(org.gnu.glib.Handle handle)` Internal static factory method to be used by Java-Gnome only.
`int` `getTextColumn()` Returns the column from the model used by this widget.
`void` `setTextColumn(int textColumn)` Set the model column which the ComboBoxEntry should use to get the strings.

Methods inherited from class org.gnu.gtk.ComboBox

`addAttributeMapping, addListener, appendText, clear, clearAttributeMappings, getActive, getActiveIter, getActiveText, getAddTearoffs, getColumnSpanColumn, getComboBox, getEventListenerClass, getEventType, getFocusOnClick, getModel, getPopupAccessible, getRowSeparatorMethod, getRowSpanColumn, getWrapWidth, insertText, packEnd, packStart, popdown, popup, prependText, removeListener, removeText, reorder, setActive, setActiveIter, setAddTearoffs, setColumnSpanColumn, setFocusOnClick, setModel, setRowSeparatorMethod, setRowSpanColumn, setWrapWidth`

Methods inherited from class org.gnu.gtk.Bin
`getChild, getType`

Methods inherited from class org.gnu.gtk.Container
`add, addListener, getBorderWidth, getChildren, getResizeMode, remove, removeListener, resizeChildren, setBorderWidth, setResizeMode`

Methods inherited from class org.gnu.gtk.Widget

`activate, addAccelerator, addEvents, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, addListener, canActivateAccel, createContext, createLayout, draw, drawArea, drawArea, finish, getAccessible, getColormap, getContext, getData, getDisplay, getDragData, getExtensionEvents, getModifierStyle, getName, getParent, getParentWindow, getPointer, getRootWindow, getScreen, getSensitive, getStyle, getToplevel, getWidget, getWindow, grabDefault, grabFocus, hasFocus, hasScreen, hide, hideAll, highlight, highlight, intersect, isAncestor, makeWidget, modifyStyle, popColormap, pushColormap, realize, removeAccelerator, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, removeListener, reparent, setBackgroundColor, setBaseColor, setColormap, setDoubleBuffered, setDragDestination, setDragIcon, setDragIconPixbuf, setDragIconStock, setDragSource, setEvents, setExtensionEvents, setFont, setForegroundColor, setMinimumSize, setName, setNoDragDestination, setNoDragSource, setSensitive, setTextColor, shapeCombineMask, show, showAll, unHighlight, unHighlight`

Methods inherited from class org.gnu.gtk.GtkObject
`destroy, sink`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, collect, freezeNotify, getBooleanProperty, getData, getDoubleProperty, getFloatProperty, getGObjectFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getPixbufProperty, getProperty, getStringProperty, hasProperty, notify, removeEventHandler, removeListener, setBooleanProperty, setData, setDoubleProperty, setFloatProperty, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.gnu.gtk.CellLayout
`getHandle`

Constructor Detail

### ComboBoxEntry

    public ComboBoxEntry(org.gnu.glib.Handle hndl)

### ComboBoxEntry

    public ComboBoxEntry()

  Construct a new ComboBoxEntry that will contain only Strings. If you need to include objects other than strings you must use the constructor that takes a TreeModel. When you use this constructor you should use the appendText, insertText, prependText, and removeText methods to add or remove text from the comboBox.

### ComboBoxEntry

    public ComboBoxEntry(TreeModel model,
                         int textColumn)

  Create a new ComboBoxEntry with the provided model. If you use this constructor you should not use the appendText, insertText, prependText, or removeText methods. You should update the model when you need to change the values in the ComboBox.

Parameters:
  `model` -
  `textColumn` -

Method Detail

### getComboBoxEntry

    public static ComboBoxEntry getComboBoxEntry(org.gnu.glib.Handle handle)

  Internal static factory method to be used by Java-Gnome only.

### setTextColumn

    public void setTextColumn(int textColumn)

  Set the model column which the ComboBoxEntry should use to get the strings.

  Parameters:
    `textColumn` -

### getTextColumn

    public int getTextColumn()

  Returns the column from the model used by this widget.